init_map:-
  G_Map_Number := 1,
  G_Wagons_in_use := 244,
  G_time_period_fast := 390,
  G_Statistic_averSpeed := 65/0.36.

Where is finish_station(Posoka):-
  Where := (Posoka=:= -1 -> 1 else 32).

station(no, 35, _, _, "Business", "Park").
station(no, 34, _, _, "Balan", "").
station(no, 33, _, _, "Alexander", "Malinov").

station(yes, 32, 3100000, _, "Sofia", "Airport").
station(yes, 31, 3040000, _, "Sofiyska", "Sveta Gora").
station(yes, 30, 2910000, _, "Iskarsko", "Shose").
station(yes, 29, 2810000, _, "Druzhba", "").
station(yes, 28, 2680000, _, "Tsarigradsko", "Shose").
station(yes, 27, 2620000, _, "Mladost 3", "").
 
station(yes, 26, 2500000, _, "Mladost 1", "").
station(yes, 25, 2420000, _, "Musagenitsa", "").
station(yes, 24, 2320000, _, "G.M.", "Dimitrov").
station(yes, 23, 2190000, _, "Joliot", "Curie").
station(yes, 22, 2140000, _, "Vasil Levski", "Stadium").
station(yes, 21, 1950000, _, "Kliment", "Ohridski").

station(yes, 20, 1840000, _, "Serdika", "").
station(yes, 19, 1700000, _, "Opalchenska", "").
station(yes, 18, 1620000, _, "Konstantin", "Velichkov").
station(yes, 17, 1540000, _, "Vardar", "").
station(yes, 16, 1500000, _, "Zapaden", "Park").
station(yes, 15, 1360000, _, "Lyulin", "").
station(yes, 14, 1300000, _, "Slivnitsa", "").

station(yes, 13, 1210000, _, "Obelya", "").
station(yes, 12, 1120000, _, "Lomsko", "Shose").
station(yes, 11, 1080000, _, "Beli", "Dunav").
station(yes, 10,  990000, _, "Nadezhda", "").
station(yes, 9,   920000, _, "Han", "Kubrat").
station(yes, 8,   690000, _, "Knyaginya", "Maria Luiza").
station(yes, 7,   620000, _, "Central", "Rail Station").
station(yes, 6,   520000, _, "Lavov", "Most").
station(yes, 5,   400000, _, "Serdika 2", "").
station(yes, 4,   270000, _, "Palace", "of Culture").
station(yes, 3,   200000, _, "European", "Union").
station(yes, 2,    90000, _, "James", "Baucher").
station(yes, 1,        0, _, "Vitosha", "").

local_metro_line(-5000, 1520, 5000, 1520, no, no).
local_metro_line(-5000, 1010, 5000, 1010, no, no).

metro_line( -18000, 1520,   -8000, 1520, no, no). % +20 for beauty
metro_line(3108000, 1010, 3118000, 1010, no, no). % +10 for beauty

metro_line( -18000, 1010,   -8000, 1010, no, no). % +10 for beauty
metro_line(3108000, 1520, 3118000, 1520, no, no). % +20 for beauty

metro_line(  -8000, 1520,   -5000, 1520, 1, 0).
metro_line(3105000, 1010, 3108000, 1010, 2, 3).

metro_line(  -8000, 1010,   -5000, 1010, 0, 1).
metro_line(3105000, 1520, 3108000, 1520, 3, 2).

metro_arc( -8000, 1000,  1, -6500, 1250, 4625, 0).
metro_arc( -5000, 1500,  1, -6500, 1250, 4625, 0).

metro_arc( -8000, 1500,  -1, -6500, 1250, 4625, 1).
metro_arc( -5000, 1000,  -1, -6500, 1250, 4625, 1).

metro_arc(3105000, 1000,  1,  3106500, 1250, 4625, 2).
metro_arc(3108000, 1500,  1,  3106500, 1250, 4625, 2).

metro_arc(3105000, 1500, -1,  3106500, 1250, 4625, 3).
metro_arc(3108000, 1000, -1,  3106500, 1250, 4625, 3).


