?-
  File1 is "C:/USA/cgi-bin/dump/u0.dump",
  File2 is "C:/USA/cgi-bin/dump/w0.dump",
  G_Max_Differences := 200, % max_integer
  H_File1 := open(File1, "rb"),
  H_File2 := open(File2, "rb"),
  G_Num:= -1,
  G_Diff := 0,
  compare_digital_file(H_File1, H_File2),
  nl,
  close(H_File1),
  close(H_File2),
  write("Differences are "+G_Diff, in_blue), nl.

compare_digital_file(H_File1, H_File2):-
  repeat,
  get_if_you_can(H_File1, D1, R1),
  get_if_you_can(H_File2, D2, R2),
  G_Num:=G_Num+1,
  (R1=:=1, R2=:=1, D1=:=D2 ->
    fail
  else (R1+R2<2 ->
    (R1=:=R2 ->
      write("The file size is "+G_Num+".", in_green), nl
    else
      write("n"+G_Num+" : "+(R1=:=0-> "First" else "Second")+" file is shorter.", in_red), nl
    )
  else
    G_Diff := G_Diff+1,
    G_Max_Differences >= G_Diff,
    write("n"+G_Num+" : ", in_blue),
    write(D1+"=\\="+D2+" "), 
    % write("0x"+hex_string(D1)+"=\\=0x"+hex_string(D2)), 
    nl, fail
  )).

get_if_you_can(File, Data, Return):-
  (Data is get(File, int32)->
    Return:=1
  else
    Data:=0,
    Return:=0
  ).
