init_map:-
  G_Map_Number := 0,
  G_Wagons_in_use := 136, % it is nice to be 16*X
  G_time_period_fast := 420, % 420 or 640
  G_Statistic_averSpeed := 65/0.36. % 65 km/h

Where is finish_station(Posoka):-
  Where := (Posoka=:= -1 -> 14 else 32).

station(no, 35, _, _, "Business", "Park").
station(no, 34, _, _, "Balan", "").
station(no, 33, _, _, "Alexander", "Malinov").

station(yes, 32, 1800000, _, "Sofia", "Airport").
station(yes, 31, 1740000, _, "Sofiyska", "Sveta Gora").
station(yes, 30, 1610000, _, "Iskarsko", "Shose").
station(yes, 29, 1510000, _, "Druzhba", "").
station(yes, 28, 1380000, _, "Tsarigradsko", "Shose").
station(yes, 27, 1320000, _, "Mladost 3", "").
 
station(yes, 26, 1200000, _, "Mladost 1", "").
station(yes, 25, 1120000, _, "Musagenitsa", "").
station(yes, 24, 1020000, _, "G.M.", "Dimitrov").
station(yes, 23,  890000, _, "Joliot", "Curie").
station(yes, 22,  840000, _, "Vasil Levski", "Stadium").
station(yes, 21,  650000, _, "Kliment", "Ohridski").

station(yes, 20,  540000, _, "Serdika", "").
station(yes, 19,  400000, _, "Opalchenska", "").
station(yes, 18,  320000, _, "Konstantin", "Velichkov").
station(yes, 17,  240000, _, "Vardar", "").
station(yes, 16,  200000, _, "Zapaden", "Park").
station(yes, 15,   60000, _, "Lyulin", "").
station(yes, 14,       0, _, "Slivnitsa", "").

station(no, 13, _, _, "Obelya", "").
station(no, 12, _, _, "Lomsko", "Shose").
station(no, 11, _, _, "Beli", "Dunav").
station(no, 10, _, _, "Nadezhda", "").
station(no, 9, _, _, "Han", "Kubrat").
station(no, 8, _, _, "Knyaginya", "Maria Luiza").
station(no, 7, _, _, "Central", "Rail Station").
station(no, 6, _, _, "Lavov", "Most").
station(no, 5, _, _, "Serdika 2", "").
station(no, 4, _, _, "Palace", "of Culture").
station(no, 3, _, _, "European", "Union").
station(no, 2, _, _, "James", "Baucher").
station(no, 1, _, _, "Vitosha", "").

local_metro_line(-5000, 1520, 5000, 1520, no, no).
local_metro_line(-5000, 1010, 5000, 1010, no, no).

metro_line( -18000, 1520,   -8000, 1520, no, no). % +20 for beauty
metro_line(1808000, 1010, 1818000, 1010, no, no). % +10 for beauty

metro_line( -18000, 1010,   -8000, 1010, no, no). % +10 for beauty
metro_line(1808000, 1520, 1818000, 1520, no, no). % +20 for beauty

metro_line(  -8000, 1520,   -5000, 1520, 1, 0).
metro_line(1805000, 1010, 1808000, 1010, 2, 3).

metro_line(  -8000, 1010,   -5000, 1010, 0, 1).
metro_line(1805000, 1520, 1808000, 1520, 3, 2).

metro_arc( -8000, 1000,  1, -6500, 1250, 4625, 0).
metro_arc( -5000, 1500,  1, -6500, 1250, 4625, 0).

metro_arc( -8000, 1500,  -1, -6500, 1250, 4625, 1).
metro_arc( -5000, 1000,  -1, -6500, 1250, 4625, 1).

metro_arc(1805000, 1000,  1,  1806500, 1250, 4625, 2).
metro_arc(1808000, 1500,  1,  1806500, 1250, 4625, 2).

metro_arc(1805000, 1500, -1,  1806500, 1250, 4625, 3).
metro_arc(1808000, 1000, -1,  1806500, 1250, 4625, 3).

